fr.enssat.BoulderDash.helpers

## Class ModelConvertHelper

- java.lang.Object
- - fr.enssat.BoulderDash.helpers.ModelConvertHelper

    public class ModelConvertHelper
    extends java.lang.Object

ModelConvertHelper Provides model conversion services.

Since:
  2015-06-22
Author:
  Valerian Saliou <valerian@valeriansaliou.name>

### Constructor Summary

Constructors
Constructor and Description
`ModelConvertHelper()` Class constructor

### Method Summary

Methods
`DisplayableElementModel` `toModel(java.lang.String spriteName, boolean isConvertible)` Gets the model associated to the string
`java.lang.String` `toString(DisplayableElementModel model)` Gets the string associated to the model

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelConvertHelper

    public ModelConvertHelper()

Class constructor

### Method Detail

#### toModel

    public DisplayableElementModel toModel(java.lang.String spriteName,
                                  boolean isConvertible)
                                    throws UnknownModelException

Gets the model associated to the string

Parameters:
  `spriteName` - Sprite name
Returns:
  Model associated to given sprite name
Throws:
  `UnknownModelException`

#### toString

    public java.lang.String toString(DisplayableElementModel model)

Gets the string associated to the model

Returns:
  Model string name